[Setup]
AppName=GSM Configurator
AppVerName=GSM Configurator 1.0.0
PrivilegesRequired=admin
DefaultDirName={pf}\GSM Configurator
DefaultGroupName=GSM Configurator
SetupIconFile=icon.ico
UninstallDisplayIcon={app}\icon.ico
LicenseFile=eula.txt
InfoBeforeFile=info.txt
Uninstallable=yes
Compression=lzma
SolidCompression=yes

[Tasks]
Name: "desktopicon"; Description: "Create a desktop icon"

[Dirs]
Name: "{app}\lib"

[Files]
Source: "GSM.jar"; DestDir: "{app}"
Source: "rxtxSerial.dll"; DestDir: "{sys}"; Flags: confirmoverwrite uninsneveruninstall
Source: "lib\*"; DestDir: "{app}\lib"
Source: "icon.ico"; DestDir: "{app}"

[Icons]
Name: "{group}\GSM Configurator"; Filename: "{app}\GSM.jar"; WorkingDir: "{app}"; IconFilename: "{app}\icon.ico"
Name: "{userdesktop}\GSM Configurator"; Filename: "{app}\GSM.jar"; WorkingDir: "{app}"; IconFilename: "{app}\icon.ico"; Tasks: desktopicon

